Bug 240730 - devel/llvm90: update to release 9.0.0
Summary: devel/llvm90: update to release 9.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brooks Davis
URL: http://lists.llvm.org/pipermail/llvm-...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-21 15:05 UTC by VVD
Modified: 2019-09-25 17:28 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (brooks)


Attachments
v1 (5.16 KB, patch)
2019-09-22 20:08 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2019-09-21 15:05:24 UTC
9.0.0 was released at 19 of September, but in ports r9.0.0rc4 yet.
Comment 1 Jan Beich freebsd_committer 2019-09-22 20:08:18 UTC
Created attachment 207726 [details]
v1

Changes since RC4: https://github.com/llvm/llvm-project/compare/llvmorg-9.0.0-rc4...llvmorg-9.0.0
I've also included bug 240737 fix. Built fine using poudriere at least on 11.2 i386/amd64.
Comment 2 commit-hook freebsd_committer 2019-09-25 17:20:38 UTC
A commit references this bug:

Author: brooks
Date: Wed Sep 25 17:20:27 UTC 2019
New revision: 512799
URL: https://svnweb.freebsd.org/changeset/ports/512799

Log:
  Update to 9.0.0 release.

  Attempt to fix linkin of openmp when the linker isn't LLD.

  Enable LLD_LINK by default.  It is increasingly the case that lld is a
  safe choice so just go with it.

  Enable SecurePLT on PowerPC for FreeBSD 13 and up.

  PR:		240730, 240737

Changes:
  head/devel/llvm90/Makefile
  head/devel/llvm90/distinfo
  head/devel/llvm90/files/clang/patch-tools_clang_lib_Driver_ToolChains_Arch_PPC.cpp
  head/devel/llvm90/files/openmp/patch-projects_openmp_runtime_cmake_LibompHandleFlags.cmake